---
title: performance.clearMarks()
slug: Web/API/Performance/clearMarks
tags:
  - API
  - Method
  - Reference
  - Web Performance
---
<div>{{APIRef("User Timing API")}}</div>

<p>The <strong><code>clearMarks()</code></strong> method removes the <em>named mark</em> from the browser's performance entry buffer. If the method is called with no arguments, all {{domxref("PerformanceEntry","performance entries")}} with an {{domxref("PerformanceEntry.entryType","entry type")}} of "<code>mark</code>" will be removed from the performance entry buffer.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>performance</em>.clearMarks();
<em>performance</em>.clearMarks(name);
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt>name {{optional_inline}}</dt>
 <dd>A {{domxref("DOMString")}} representing the name of the timestamp. If this argument is omitted, all {{domxref("PerformanceEntry","performance entries")}} with an {{domxref("PerformanceEntry.entryType","entry type")}} of "<code>mark</code>" will be removed.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<dl>
 <dt>void</dt>
 <dd> </dd>
</dl>

<h2 id="Example">Example</h2>

<p>The following example shows both uses of the <code>clearMarks()</code> method.</p>

<pre class="brush: js">// Create a small helper to show how many PerformanceMark entries there are.
function logMarkCount() {
  console.log(
    "Found this many entries: " + performance.getEntriesByType("mark").length
  );
}

// Create a bunch of marks.
performance.mark("squirrel");
performance.mark("squirrel");
performance.mark("monkey");
performance.mark("monkey");
performance.mark("dog");
performance.mark("dog");

logMarkCount() // "Found this many entries: 6"

// Delete just the "squirrel" PerformanceMark entries.
performance.clearMarks('squirrel');
logMarkCount() // "Found this many entries: 4"

// Delete all of the PerformanceMark entries.
performance.clearMarks();
logMarkCount() // "Found this many entries: 0"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('User Timing Level 2', '#dom-performance-clearmarks', 'clearMarks()')}}</td>
   <td>{{Spec2('User Timing Level 2')}}</td>
   <td>Clarifies <code>clearMarks()</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName('User Timing', '#dom-performance-clearmarks', 'clearMarks()')}}</td>
   <td>{{Spec2('User Timing')}}</td>
   <td>Basic definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Performance.clearMarks")}}</p>
</div>
